<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-692"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXCellClassType%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXCellClassType类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_cell_class_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_cell_class_type-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXCellClassType类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html">UITableView+XHXCellClass.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXCellClassType 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_cell_class_type.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a7a4d74865dd87716a26bba79d7eed2cf"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_cell_class_type.html#a7a4d74865dd87716a26bba79d7eed2cf">xhx_CellClassTypeWithClassName:resueIdentifier:</a></td></tr>
<tr class="separator:a7a4d74865dd87716a26bba79d7eed2cf"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab46ff95f82052aadec9f5d5e058420c3"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_cell_class_type.html#ab46ff95f82052aadec9f5d5e058420c3">xhx_CellClassTypeWithClassName:</a></td></tr>
<tr class="separator:ab46ff95f82052aadec9f5d5e058420c3"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a1dbce167f231973cea0290f6a786eb7c"><td class="memItemLeft" align="right" valign="top">NSString *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">className</a></td></tr>
<tr class="memdesc:a1dbce167f231973cea0290f6a786eb7c"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">类名  <a href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">更多...</a><br/></td></tr>
<tr class="separator:a1dbce167f231973cea0290f6a786eb7c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a19131a12398f87de39a5c23ba301b8a7"><td class="memItemLeft" align="right" valign="top">NSString *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">resueIdentifier</a></td></tr>
<tr class="memdesc:a19131a12398f87de39a5c23ba301b8a7"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">重用标识符  <a href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">更多...</a><br/></td></tr>
<tr class="separator:a19131a12398f87de39a5c23ba301b8a7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="ab46ff95f82052aadec9f5d5e058420c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab46ff95f82052aadec9f5d5e058420c3">◆&nbsp;</a></span>xhx_CellClassTypeWithClassName:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) xhx_CellClassTypeWithClassName: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>className</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a4d74865dd87716a26bba79d7eed2cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a4d74865dd87716a26bba79d7eed2cf">◆&nbsp;</a></span>xhx_CellClassTypeWithClassName:resueIdentifier:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) <a class="el" href="interface_x_h_x_cell_class_type.html#ab46ff95f82052aadec9f5d5e058420c3">xhx_CellClassTypeWithClassName:</a> </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>className</em></td>
        </tr>
        <tr>
          <td class="paramkey">resueIdentifier:</td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>resueIdentifier</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>通过类名、标识符 创建用于重用的对象</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">className</td><td>类名 </td></tr>
    <tr><td class="paramname">resueIdentifier</td><td>标识符 </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>用于重用的对象 </dd></dl>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a1dbce167f231973cea0290f6a786eb7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dbce167f231973cea0290f6a786eb7c">◆&nbsp;</a></span>className</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSString*) className</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>类名 </p>

</div>
</div>
<a id="a19131a12398f87de39a5c23ba301b8a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19131a12398f87de39a5c23ba301b8a7">◆&nbsp;</a></span>resueIdentifier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSString*) resueIdentifier</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>重用标识符 </p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html">UITableView+XHXCellClass.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_table_view_09_x_h_x_cell_class_8m.html">UITableView+XHXCellClass.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>